Bug 862336 - ipoib interfaces do not automatically come "UP" when ipoib module is loaded
ipoib interfaces do not automatically come "UP" when ipoib module is loaded
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: rdma (Show other bugs)
7.0
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Doug Ledford
Red Hat Kernel QE team
:
Depends On:
Blocks: 719684
  Show dependency treegraph
 
Reported: 2012-10-02 12:48 EDT by Edward Mascarenhas
Modified: 2013-10-09 21:13 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-02 17:12:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Edward Mascarenhas 2012-10-02 12:48:15 EDT
Description of problem:

ipoib interfaces do not automatically come "UP" when ipoib module is loaded. An ifup ib0 command or a "service network restart" is required to bring it up.

Version-Release number of selected component (if applicable):


How reproducible:

Very.

Steps to Reproduce:
1. load ipoib module
2.
3.
  
Actual results:
ib0 interface does not automatically come up.

Expected results:
In previous RHEL 6.x releases the ib0 interface came up on module load.


Additional info:
This has been reported by our system test group. Reporting it to disclose it early before independent verification by the development group.
Comment 1 Bill Nottingham 2012-11-02 15:14:49 EDT
Hotplug support (i.e., bringing them up as they appear randomly post-boot) for network interfaces in /etc/init.d/network has been removed - if you want to manage interfaces on hotplug, install a network management daemon such as NetworkManager.
Comment 2 Edward Mascarenhas 2012-11-02 17:09:15 EDT
I think you can close this bug. Thanks for the explanation.

Note You need to log in before you can comment on or make changes to this bug.